#include "IZ_string.h"

errno_t IZ_memcpy(void* const dest, const rsize_t dest_size, const void* const source, const rsize_t source_size) {
#if defined IZ_WIN64
	return memcpy_s(dest, dest_size, source, source_size);
#else
	return memcpy(dest, source, dest_size - 1);
#endif
}

errno_t IZ_strcat(char* dest, rsize_t source_size, const char* source) {
#if defined IZ_WIN64
	return strcat_s(dest, source_size, source);
#else
	return strcat(dest, source);
#endif
}

errno_t IZ_strlwr(char* str, rsize_t str_size) {
#if defined IZ_WIN64
	return _strlwr_s(str, str_size);
#else
	return _strlwr(str);
#endif
}

void* IZ_memset(void* dest, int value, rsize_t dest_size) {
	return memset(dest, value, dest_size);
}
